Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.server
Class ServerLoginStatusImpl

    java.lang.Object
      |
      +--com.novell.service.server.ServerLoginStatusImpl

public class ServerLoginStatusImpl
extends java.lang.Object
implements , ServerLoginStatus

Provides the attribute value of a ServerDirContext.

See Also:
  `ServerLoginStatus`

Constructor Summary
`ServerLoginStatusImpl()` Constructs a ServerLoginStatusImpl attribute value.

Method Summary
`boolean` | `getStatus()` Determines if the server is allowing logins.
`void` | `setStatus(boolean value)` Sets the state of the login status.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerLoginStatusImpl

    public ServerLoginStatusImpl()

  Constructs a ServerLoginStatusImpl attribute value. This constructor is used to manually create attributes for methods such as search().

Method Detail

### getStatus

    public boolean getStatus()
                      throws com.novell.service.jncp.NSIException

  Determines if the server is allowing logins.
  Specified by:
    getStatus in interface ServerLoginStatus
  Returns:
    A boolean set to TRUE if the server is allowing logins; otherwise set to FALSE.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setStatus

    public void setStatus(boolean value)
                   throws com.novell.service.jncp.NSIException

  Sets the state of the login status.
  Specified by:
    setStatus in interface ServerLoginStatus
  Parameters:
    `value` - The desired login state as a boolean; TRUE if the server is to allowing logins; otherwise set to FALSE.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD